"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = __importDefault(require("assert"));
const manifest_1 = require("../manifest");
const baseManifest_1 = __importDefault(require("./helpers/baseManifest"));
describe("manifest", () => {
    describe("buildManifest", () => {
        const templateType = "minimum";
        it("should include basic settings", () => {
            const baseManifest = (0, baseManifest_1.default)();
            // @ts-ignore We can fix this using conditional types
            const manifest = (0, manifest_1.buildManifest)({
                name: baseManifest.name,
                description: baseManifest.name,
                homepage_url: {},
                supportMobile: false,
                enablePluginUploader: false,
            }, templateType);
            assert_1.default.strictEqual(manifest.manifest_version, 1);
            assert_1.default.strictEqual(manifest.name.en, "sample");
            assert_1.default.strictEqual(manifest.mobile, undefined);
        });
        it("should include mobile.js if the answers enable mobile", () => {
            const baseManifest = (0, baseManifest_1.default)();
            // @ts-ignore We can fix this using conditional types
            const manifest = (0, manifest_1.buildManifest)({
                name: baseManifest.name,
                description: baseManifest.name,
                homepage_url: {},
                supportMobile: true,
                enablePluginUploader: false,
            }, templateType);
            (0, assert_1.default)(manifest.mobile && Array.isArray(manifest.mobile.js));
        });
        it("should include config if the answers enable config", () => {
            const baseManifest = (0, baseManifest_1.default)();
            // @ts-ignore We can fix this using conditional types
            const manifest = (0, manifest_1.buildManifest)({
                name: baseManifest.name,
                description: baseManifest.name,
                homepage_url: {},
                supportMobile: false,
                enablePluginUploader: false,
            }, templateType);
            assert_1.default.deepStrictEqual(manifest.config && Object.keys(manifest.config), [
                "html",
                "js",
                "css",
                "required_params",
            ]);
        });
    });
});
//# sourceMappingURL=manifest.test.js.map