"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = __importDefault(require("assert"));
const prompt = __importStar(require("../qa/prompt"));
const validator_1 = require("../qa/validator");
const qa_1 = require("../qa");
const messages_1 = require("../messages");
describe("qa", () => {
    describe("validator", () => {
        it("should be able to validate by validateForName", () => {
            (0, assert_1.default)((0, validator_1.validateForName)("hoge"));
            (0, assert_1.default)((0, validator_1.validateForName)("a".repeat(64)));
            (0, assert_1.default)(!(0, validator_1.validateForName)(""));
            (0, assert_1.default)(!(0, validator_1.validateForName)("a".repeat(65)));
        });
        it("should be able to validate by validateForDescription", () => {
            (0, assert_1.default)((0, validator_1.validateForDescription)("hoge"));
            (0, assert_1.default)((0, validator_1.validateForDescription)("a".repeat(200)));
            (0, assert_1.default)(!(0, validator_1.validateForDescription)(""));
            (0, assert_1.default)(!(0, validator_1.validateForDescription)("a".repeat(201)));
        });
    });
    describe("getDefaultName", () => {
        it("should be set the default value of name.en based on the passed directory", () => {
            assert_1.default.equal((0, qa_1.getDefaultName)("foo/bar/dist"), "dist");
        });
    });
    describe("runPrompt", () => {
        describe("optional lang parameters", () => {
            beforeEach(() => {
                jest.spyOn(prompt, "promptForName").mockResolvedValue("pass");
                jest.spyOn(prompt, "promptForDescription").mockResolvedValue("pass");
                jest.spyOn(prompt, "promptForOptionalName").mockResolvedValue("pass");
                jest
                    .spyOn(prompt, "promptForOptionalDescription")
                    .mockResolvedValue("pass");
                jest.spyOn(prompt, "promptForHomepage").mockResolvedValue("pass");
                jest.spyOn(prompt, "promptForSupportLang").mockResolvedValue(true);
                jest.spyOn(prompt, "promptForSupportMobile").mockResolvedValue(true);
                jest
                    .spyOn(prompt, "promptForEnablePluginUploader")
                    .mockResolvedValue(true);
            });
            it("should be set ja parameters in supportJa is true", () => __awaiter(void 0, void 0, void 0, function* () {
                var _a;
                jest
                    .spyOn(prompt, "promptForSupportLang")
                    .mockImplementation((m, supportLang) => __awaiter(void 0, void 0, void 0, function* () {
                    return supportLang === "Ja";
                }));
                const result1 = yield (0, qa_1.runPrompt)((0, messages_1.getBoundMessage)("ja"), "foo/bar/dist", "ja");
                assert_1.default.notEqual(result1.name.ja, undefined);
                assert_1.default.notEqual(result1.description.ja, undefined);
                assert_1.default.notEqual(result1.homepage_url, undefined);
                assert_1.default.notEqual((_a = result1.homepage_url) === null || _a === void 0 ? void 0 : _a.ja, undefined);
            }));
            it("should not be set ja parameters in supportJa is false", () => __awaiter(void 0, void 0, void 0, function* () {
                jest
                    .spyOn(prompt, "promptForSupportLang")
                    .mockImplementation((m, supportLang) => __awaiter(void 0, void 0, void 0, function* () {
                    return !(supportLang === "Ja");
                }));
                const result2 = yield (0, qa_1.runPrompt)((0, messages_1.getBoundMessage)("en"), "foo/bar/dist", "en");
                assert_1.default.equal(result2.name.ja, undefined);
                assert_1.default.equal(result2.description.ja, undefined);
            }));
            it("should be set zh parameters in supportZh is true", () => __awaiter(void 0, void 0, void 0, function* () {
                var _a;
                jest
                    .spyOn(prompt, "promptForSupportLang")
                    .mockImplementation((m, supportLang) => __awaiter(void 0, void 0, void 0, function* () {
                    return supportLang === "Zh";
                }));
                const result1 = yield (0, qa_1.runPrompt)((0, messages_1.getBoundMessage)("ja"), "foo/bar/dist", "ja");
                assert_1.default.notEqual(result1.name.zh, undefined);
                assert_1.default.notEqual(result1.description.zh, undefined);
                assert_1.default.notEqual(result1.homepage_url, undefined);
                assert_1.default.notEqual((_a = result1.homepage_url) === null || _a === void 0 ? void 0 : _a.zh, undefined);
            }));
            it("should not be set zh parameters in supportZh is false", () => __awaiter(void 0, void 0, void 0, function* () {
                jest
                    .spyOn(prompt, "promptForSupportLang")
                    .mockImplementation((m, supportLang) => __awaiter(void 0, void 0, void 0, function* () {
                    return !(supportLang === "Zh");
                }));
                const result2 = yield (0, qa_1.runPrompt)((0, messages_1.getBoundMessage)("en"), "foo/bar/dist", "en");
                assert_1.default.equal(result2.name.zh, undefined);
                assert_1.default.equal(result2.description.zh, undefined);
            }));
            it("should be set es parameters in supportEs is true", () => __awaiter(void 0, void 0, void 0, function* () {
                var _a;
                jest
                    .spyOn(prompt, "promptForSupportLang")
                    .mockImplementation((m, supportLang) => __awaiter(void 0, void 0, void 0, function* () {
                    return supportLang === "Es";
                }));
                const result1 = yield (0, qa_1.runPrompt)((0, messages_1.getBoundMessage)("ja"), "foo/bar/dist", "ja");
                assert_1.default.notEqual(result1.name.es, undefined);
                assert_1.default.notEqual(result1.description.es, undefined);
                assert_1.default.notEqual(result1.homepage_url, undefined);
                assert_1.default.notEqual((_a = result1.homepage_url) === null || _a === void 0 ? void 0 : _a.es, undefined);
            }));
            it("should not be set es parameters in supportEs is false", () => __awaiter(void 0, void 0, void 0, function* () {
                jest
                    .spyOn(prompt, "promptForSupportLang")
                    .mockImplementation((m, supportLang) => __awaiter(void 0, void 0, void 0, function* () {
                    return !(supportLang === "Es");
                }));
                const result2 = yield (0, qa_1.runPrompt)((0, messages_1.getBoundMessage)("en"), "foo/bar/dist", "en");
                assert_1.default.equal(result2.name.es, undefined);
                assert_1.default.equal(result2.description.es, undefined);
            }));
        });
    });
});
//# sourceMappingURL=qa.test.js.map