"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.installDependencies = void 0;
const child_process_1 = require("child_process");
const logger_1 = require("./logger");
const messages_1 = require("./messages");
/**
 * Install specified dependencies
 * @param outputDirectory
 * @param lang
 */
const installDependencies = (outputDirectory, lang) => {
    (0, logger_1.printLog)((0, messages_1.getMessage)(lang, "installDependencies"));
    const result = (0, child_process_1.spawnSync)("npm", ["install"], {
        cwd: outputDirectory,
        stdio: "inherit",
        shell: true,
    });
    if (result.status !== 0) {
        throw new Error("Installing dependencies were failed");
    }
};
exports.installDependencies = installDependencies;
//# sourceMappingURL=deps.js.map