"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generatePlugin = void 0;
const fs = __importStar(require("fs"));
const glob_1 = require("glob");
const path = __importStar(require("path"));
const deps_1 = require("./deps");
const privateKey_1 = require("./privateKey");
const template_1 = require("./template");
const normalize_path_1 = __importDefault(require("normalize-path"));
/**
 * Create a plugin project based on passed manifest and install dependencies
 * @param outputDirectory
 * @param manifest
 * @param lang
 * @param enablePluginUploader
 * @param templateType
 */
const generatePlugin = (outputDirectory, manifest, lang, enablePluginUploader, templateType) => __awaiter(void 0, void 0, void 0, function* () {
    // copy and build a project into the output diretory
    yield buildProject(outputDirectory, manifest, enablePluginUploader, templateType);
    // npm install
    (0, deps_1.installDependencies)(outputDirectory, lang);
});
exports.generatePlugin = generatePlugin;
/**
 * Create a plugin project based on passed manifest
 * @param outputDirectory
 * @param manifest
 * @param enablePluginUploader
 * @param templateType
 */
const buildProject = (outputDirectory, manifest, enablePluginUploader, templateType) => __awaiter(void 0, void 0, void 0, function* () {
    fs.mkdirSync(outputDirectory);
    // This is necessary for unit testing
    // We use src/generator.ts directory instead of dist/src/generator.js when unit testing
    const templatePath = __dirname.indexOf("dist") === -1
        ? path.join(__dirname, "..", "templates", templateType)
        : path.join(__dirname, "..", "..", "templates", templateType);
    const templatePathPattern = (0, normalize_path_1.default)(path.resolve(templatePath, "**", "*"));
    const templateFiles = (0, glob_1.globSync)(templatePathPattern, {
        dot: true,
    }).filter((file) => (0, template_1.isNecessaryFile)(manifest, file));
    for (const file of templateFiles) {
        yield (0, template_1.processTemplateFile)(file, templatePath, outputDirectory, manifest, enablePluginUploader);
    }
    fs.writeFileSync(path.resolve(outputDirectory, "private.ppk"), (0, privateKey_1.generatePrivateKey)());
    fs.writeFileSync(path.resolve(outputDirectory, templateType === "modern" ? "plugin" : "src", "manifest.json"), JSON.stringify(manifest, null, 2));
});
//# sourceMappingURL=generator.js.map