import type { Answers } from "./qa";
import type { TemplateType } from "./template";
export interface Manifest {
    manifest_version: number;
    version: number;
    type: "APP";
    name: {
        ja?: string;
        en: string;
        zh?: string;
        es?: string;
    };
    description?: {
        ja?: string;
        en: string;
        zh?: string;
        es?: string;
    };
    icon: string;
    homepage_url?: {
        ja?: string;
        en?: string;
        zh?: string;
        es?: string;
    };
    desktop?: {
        js?: string[];
        css?: string[];
    };
    mobile?: {
        js?: string[];
        css?: string[];
    };
    config?: {
        html?: string;
        js?: string[];
        css?: string[];
        required_params?: string[];
    };
}
/**
 * Build the manifest setting
 * @param answers
 * @param templateType
 */
export declare const buildManifest: (answers: Answers, templateType: TemplateType) => Manifest;
