"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildManifest = void 0;
const minimumManifest = {
    $schema: "https://raw.githubusercontent.com/kintone/js-sdk/%40kintone/plugin-manifest-validator%4010.2.0/packages/plugin-manifest-validator/manifest-schema.json",
    manifest_version: 1,
    version: 1,
    type: "APP",
    desktop: {
        js: ["js/desktop.js"],
        css: ["css/51-modern-default.css", "css/desktop.css"],
    },
    icon: "image/icon.png",
    config: {
        html: "html/config.html",
        js: ["js/config.js"],
        css: ["css/51-modern-default.css", "css/config.css"],
        required_params: ["message"],
    },
};
const modernManifest = {
    $schema: "https://raw.githubusercontent.com/kintone/js-sdk/%40kintone/plugin-manifest-validator%4010.2.0/packages/plugin-manifest-validator/manifest-schema.json",
    manifest_version: 1,
    version: 1,
    type: "APP",
    desktop: {
        js: ["js/desktop.js"],
        css: ["css/desktop.css"],
    },
    icon: "image/icon.png",
    config: {
        html: "html/config.html",
        js: ["js/config.js"],
        css: ["css/51-modern-default.css", "css/config.css"],
        required_params: ["message"],
    },
};
const answer2Manifest = (answers) => {
    const filteredAnswer = Object.keys(answers).reduce((acc, key) => {
        if (typeof answers[key] === "boolean") {
            return acc;
        }
        if (typeof answers[key] === "string" &&
            (answers[key] === "" || answers[key] == null)) {
            return acc;
        }
        return Object.assign(Object.assign({}, acc), { [key]: answers[key] });
    }, {});
    return Object.keys(filteredAnswer).reduce((acc, key) => {
        if (typeof filteredAnswer[key] === "object" &&
            !Array.isArray(filteredAnswer[key]) &&
            Object.keys(filteredAnswer[key]).length === 0) {
            return acc;
        }
        return Object.assign(Object.assign({}, acc), { [key]: filteredAnswer[key] });
    }, {});
};
/**
 * Build the manifest setting
 * @param answers
 * @param templateType
 */
const buildManifest = (answers, templateType) => {
    let manifest = Object.assign(Object.assign({}, (templateType === "modern" ? modernManifest : minimumManifest)), answer2Manifest(answers));
    if (answers.supportMobile) {
        manifest = Object.assign(Object.assign({}, manifest), {
            mobile: {
                js: ["js/mobile.js"],
                css: ["css/mobile.css"],
            },
        });
    }
    return manifest;
};
exports.buildManifest = buildManifest;
//# sourceMappingURL=manifest.js.map