import type { Lang } from "./lang";
type LangMap = {
    [lang in Lang]: string;
};
type MessageMap = {
    [key in keyof typeof messages]: LangMap;
};
declare const messages: {
    Q_NameEn: {
        en: string;
        ja: string;
    };
    Q_NameEnError: {
        en: string;
        ja: string;
    };
    Q_DescriptionEn: {
        en: string;
        ja: string;
    };
    Q_DescriptionEnError: {
        en: string;
        ja: string;
    };
    Q_SupportJa: {
        en: string;
        ja: string;
    };
    Q_NameJa: {
        en: string;
        ja: string;
    };
    Q_NameJaError: {
        en: string;
        ja: string;
    };
    Q_DescriptionJa: {
        en: string;
        ja: string;
    };
    Q_DescriptionJaError: {
        en: string;
        ja: string;
    };
    Q_SupportZh: {
        en: string;
        ja: string;
    };
    Q_NameZh: {
        en: string;
        ja: string;
    };
    Q_NameZhError: {
        en: string;
        ja: string;
    };
    Q_DescriptionZh: {
        en: string;
        ja: string;
    };
    Q_DescriptionZhError: {
        en: string;
        ja: string;
    };
    Q_SupportEs: {
        en: string;
        ja: string;
    };
    Q_NameEs: {
        en: string;
        ja: string;
    };
    Q_NameEsError: {
        en: string;
        ja: string;
    };
    Q_DescriptionEs: {
        en: string;
        ja: string;
    };
    Q_DescriptionEsError: {
        en: string;
        ja: string;
    };
    Q_WebsiteUrlEn: {
        en: string;
        ja: string;
    };
    Q_WebsiteUrlJa: {
        en: string;
        ja: string;
    };
    Q_WebsiteUrlZh: {
        en: string;
        ja: string;
    };
    Q_WebsiteUrlEs: {
        en: string;
        ja: string;
    };
    Q_MobileSupport: {
        en: string;
        ja: string;
    };
    Q_EnablePluginUploader: {
        en: string;
        ja: string;
    };
    installDependencies: {
        en: string;
        ja: string;
    };
    introduction: {
        en: string;
        ja: string;
    };
    npmStart: {
        en: string;
        ja: string;
    };
    npmStartWithPluginUploader: {
        en: string;
        ja: string;
    };
    npmBuild: {
        en: string;
        ja: string;
    };
    npmLint: {
        en: string;
        ja: string;
    };
    nextAction: {
        en: string;
        ja: string;
    };
    howToUsePluginUploader: {
        en: string;
        ja: string;
    };
    lastMessage: {
        en: string;
        ja: string;
    };
    developerSite: {
        en: string;
        ja: string;
    };
    Error_alreadyExists: {
        en: string;
        ja: string;
    };
    Error_cannotCreatePlugin: {
        en: string;
        ja: string;
    };
};
/**
 * Returns a message for the passed lang and key
 * @param lang
 * @param key
 */
export declare const getMessage: (lang: keyof LangMap, key: keyof MessageMap) => string;
export type BoundMessage = (key: keyof MessageMap) => string;
/**
 * Returns a function bound lang to getMessage
 * @param lang
 */
export declare const getBoundMessage: (lang: keyof LangMap) => BoundMessage;
export {};
