"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.runPrompt = exports.getDefaultName = void 0;
const prompt_1 = require("./qa/prompt");
const getDefaultName = (outputDir) => outputDir.replace(/.*\//, "");
exports.getDefaultName = getDefaultName;
const runPrompt = (m, outputDir, lang) => __awaiter(void 0, void 0, void 0, function* () {
    const enName = yield (0, prompt_1.promptForName)(m, "En", (0, exports.getDefaultName)(outputDir));
    const enDescription = yield (0, prompt_1.promptForDescription)(m, "En", enName);
    const supportJa = yield (0, prompt_1.promptForSupportLang)(m, "Ja", lang === "ja");
    const jaName = supportJa ? yield (0, prompt_1.promptForOptionalName)(m, "Ja") : undefined;
    const jaDescription = supportJa
        ? yield (0, prompt_1.promptForOptionalDescription)(m, "Ja")
        : undefined;
    const supportZh = yield (0, prompt_1.promptForSupportLang)(m, "Zh");
    const zhName = supportZh ? yield (0, prompt_1.promptForOptionalName)(m, "Zh") : undefined;
    const zhDescription = supportZh
        ? yield (0, prompt_1.promptForOptionalDescription)(m, "Zh")
        : undefined;
    const supportEs = yield (0, prompt_1.promptForSupportLang)(m, "Es");
    const esName = supportEs ? yield (0, prompt_1.promptForOptionalName)(m, "Es") : undefined;
    const esDescription = supportEs
        ? yield (0, prompt_1.promptForOptionalDescription)(m, "Es")
        : undefined;
    const enHomepage = yield (0, prompt_1.promptForHomepage)(m, "En");
    const jaHomepage = supportJa ? yield (0, prompt_1.promptForHomepage)(m, "Ja") : undefined;
    const zhHomepage = supportZh ? yield (0, prompt_1.promptForHomepage)(m, "Zh") : undefined;
    const esHomepage = supportEs ? yield (0, prompt_1.promptForHomepage)(m, "Es") : undefined;
    const supportMobile = yield (0, prompt_1.promptForSupportMobile)(m);
    const enablePluginUploader = yield (0, prompt_1.promptForEnablePluginUploader)(m);
    const result = {
        name: {
            en: enName,
            ja: jaName,
            zh: zhName,
            es: esName,
        },
        description: {
            en: enDescription,
            ja: jaDescription,
            zh: zhDescription,
            es: esDescription,
        },
        supportMobile: supportMobile,
        enablePluginUploader: enablePluginUploader,
    };
    if (enHomepage) {
        result.homepage_url = {
            en: enHomepage,
            ja: jaHomepage,
            zh: zhHomepage,
            es: esHomepage,
        };
    }
    return result;
});
exports.runPrompt = runPrompt;
//# sourceMappingURL=qa.js.map