"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.promptForEnablePluginUploader = exports.promptForSupportMobile = exports.promptForHomepage = exports.promptForSupportLang = exports.promptForOptionalDescription = exports.promptForOptionalName = exports.promptForDescription = exports.promptForName = void 0;
const prompts_1 = require("@inquirer/prompts");
const validator_1 = require("./validator");
const promptForName = (m, supportLang, defaultAnswer) => __awaiter(void 0, void 0, void 0, function* () {
    return (0, prompts_1.input)({
        message: m(`Q_Name${supportLang}`),
        default: defaultAnswer,
        validate: (value) => (0, validator_1.validateForName)(value) ? true : m(`Q_Name${supportLang}Error`),
    });
});
exports.promptForName = promptForName;
const promptForDescription = (m, supportLang, defaultAnswer) => __awaiter(void 0, void 0, void 0, function* () {
    return (0, prompts_1.input)({
        message: m(`Q_Description${supportLang}`),
        default: defaultAnswer,
        validate: (value) => (0, validator_1.validateForDescription)(value)
            ? true
            : m(`Q_Description${supportLang}Error`),
    });
});
exports.promptForDescription = promptForDescription;
const promptForOptionalName = (m, supportLang) => __awaiter(void 0, void 0, void 0, function* () {
    return (0, prompts_1.input)({
        message: m(`Q_Name${supportLang}`),
        validate: (value) => (0, validator_1.validateForOptionalName)(value) ? true : m(`Q_Name${supportLang}Error`),
    });
});
exports.promptForOptionalName = promptForOptionalName;
const promptForOptionalDescription = (m, supportLang) => __awaiter(void 0, void 0, void 0, function* () {
    return (0, prompts_1.input)({
        message: m(`Q_Description${supportLang}`),
        validate: (value) => (0, validator_1.validateForOptionalDescription)(value)
            ? true
            : m(`Q_Description${supportLang}Error`),
    });
});
exports.promptForOptionalDescription = promptForOptionalDescription;
const promptForSupportLang = (m_1, supportLang_1, ...args_1) => __awaiter(void 0, [m_1, supportLang_1, ...args_1], void 0, function* (m, supportLang, defaultAnswer = false) {
    return (0, prompts_1.confirm)({
        default: defaultAnswer,
        message: m(`Q_Support${supportLang}`),
    });
});
exports.promptForSupportLang = promptForSupportLang;
const promptForHomepage = (m, supportLang) => __awaiter(void 0, void 0, void 0, function* () {
    return (0, prompts_1.input)({
        message: m(`Q_WebsiteUrl${supportLang}`),
    });
});
exports.promptForHomepage = promptForHomepage;
const promptForSupportMobile = (m) => __awaiter(void 0, void 0, void 0, function* () {
    return (0, prompts_1.confirm)({
        default: true,
        message: m("Q_MobileSupport"),
    });
});
exports.promptForSupportMobile = promptForSupportMobile;
const promptForEnablePluginUploader = (m) => __awaiter(void 0, void 0, void 0, function* () {
    return (0, prompts_1.confirm)({
        default: true,
        message: m("Q_EnablePluginUploader"),
    });
});
exports.promptForEnablePluginUploader = promptForEnablePluginUploader;
//# sourceMappingURL=prompt.js.map