import type { Manifest } from "./manifest";
export declare const SUPPORT_TEMPLATE_TYPE: string[];
export type TemplateType = "minimum" | "modern";
export declare const isValidTemplateType: (templateType: string) => boolean;
/**
 * Return a template type corresponding to the manifest
 * @param manifest
 */
export declare const getTemplateType: (manifest: Manifest) => TemplateType;
/**
 * return `true` if `file` is necessary.
 * @param manifest
 * @param file
 */
export declare const isNecessaryFile: (manifest: Manifest, file: string) => boolean;
/**
 * Process a template file
 * @param filePath
 * @param srcDir
 * @param destDir
 * @param manifest
 * @param enablePluginUploader
 */
export declare const processTemplateFile: (filePath: string, srcDir: string, destDir: string, manifest: Manifest, enablePluginUploader: boolean) => Promise<void>;
